For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update teams in bulk

This endpoint updates bulk teams simultaneously based on the field mask. Note: When a supplier attempts to update records in bulk, the API allows a maximum of 50 records per request. If the request co

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint updates bulk teams simultaneously based on the field mask. Note: When a supplier attempts to update records in bulk, the API allows a maximum of 50 records per request. If the request contains more than 50 records, the API returns an error message indicating that the limit has been exceeded."

Update teams in bulk

Update teams in bulk

patch

This endpoint updates bulk teams simultaneously based on the field mask. Note: When a supplier attempts to update records in bulk, the API allows a maximum of 50 records per request. If the request contains more than 50 records, the API returns an error message indicating that the limit has been exceeded.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

Details of the updated team.

application/json
bulkIdstringOptional

Unique identifier for the bulk operation.

messagestringOptional

Status message or result description for the bulk operation.

statusstring · enumOptionalPossible values:
patch/v2/teams/bulk/update
PATCH /v2/teams/bulk/update HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 454

{
  "teams": [
    {
      "businessIdentifier": "biz_456XYZ",
      "companyAddress": {
        "addressLine": "123 Main St",
        "postcode": "12345"
      },
      "companyName": "Awesome Corp",
      "companyPhone": "+1-800-555-0123",
      "companyType": "COMPANY_TYPE_RETAILER",
      "companyWebsite": "https://www.awesomecorp.com",
      "id": "team_123XYZ",
      "industryType": "INDUSTRY_TYPE_GROCERY",
      "logoId": "biz_456XYZ",
      "name": "Alpha Team",
      "onBehalfOf": "Sponsor Corp",
      "reviewerEmail": "reviewer@example.com",
      "sellerId": "seller_789LMN"
    }
  ]
}
{
  "bulkId": "text",
  "message": "text",
  "status": "BULK_OPERATION_SUBMITTED"
}